use diesel::macros::*;

table! {
    /// Representation of the `media_format` table.
    ///
    /// (Automatically generated by Diesel.)
    media_format (id) {
        /// The `id` column of the `media_format` table.
        ///
        /// Its SQL type is `Int4`.
        ///
        /// (Automatically generated by Diesel.)
        id -> Int4,
        /// The `is_physical` column of the `media_format` table.
        ///
        /// Its SQL type is `Bool`.
        ///
        /// (Automatically generated by Diesel.)
        is_physical -> Bool,
        /// The `format_name` column of the `media_format` table.
        ///
        /// Its SQL type is `Varchar`.
        ///
        /// (Automatically generated by Diesel.)
        format_name -> Varchar,
        /// The `description` column of the `media_format` table.
        ///
        /// Its SQL type is `Text`.
        ///
        /// (Automatically generated by Diesel.)
        description -> Text,
    }
}

table! {
    /// Representation of the `media_type` table.
    ///
    /// (Automatically generated by Diesel.)
    media_type (id) {
        /// The `id` column of the `media_type` table.
        ///
        /// Its SQL type is `Int4`.
        ///
        /// (Automatically generated by Diesel.)
        id -> Int4,
        /// The `type_name` column of the `media_type` table.
        ///
        /// Its SQL type is `Varchar`.
        ///
        /// (Automatically generated by Diesel.)
        type_name -> Varchar,
        /// The `description` column of the `media_type` table.
        ///
        /// Its SQL type is `Text`.
        ///
        /// (Automatically generated by Diesel.)
        description -> Text,
    }
}

table! {
    /// Representation of the `media_type_format_link` table.
    ///
    /// (Automatically generated by Diesel.)
    media_type_format_link (media_type_id, media_format_id) {
        /// The `media_type_id` column of the `media_type_format_link` table.
        ///
        /// Its SQL type is `Int4`.
        ///
        /// (Automatically generated by Diesel.)
        media_type_id -> Int4,
        /// The `media_format_id` column of the `media_type_format_link` table.
        ///
        /// Its SQL type is `Int4`.
        ///
        /// (Automatically generated by Diesel.)
        media_format_id -> Int4,
    }
}

joinable!(media_type_format_link -> media_format (media_format_id));
joinable!(media_type_format_link -> media_type (media_type_id));

allow_tables_to_appear_in_same_query!(
    media_format,
    media_type,
    media_type_format_link,
);
